Skip to main content
GET
/
api
/
v1
/
system
/
schools
List schools
curl --request GET \
  --url https://api.example.com/api/v1/system/schools/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "schema_name": "<string>",
    "code": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "domain": [
      "<unknown>"
    ],
    "setup_progress": "in_progress",
    "is_active": true,
    "created_at": "2023-12-25",
    "updated_at": "2023-12-25"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Schema-Name
string

School (tenant) identifier. Must match your account unless you have platform-wide access.

Response

200 - application/json
name
string
required
Maximum string length: 100
schema_name
string
required
Maximum string length: 63
code
string
required
Maximum string length: 10
id
string<uuid>
domain
any[]
setup_progress
enum<string>
  • in_progress - In Progress
  • not_started - Not Started
  • completed - Completed
Available options:
in_progress,
not_started,
completed
is_active
boolean

Designates whether this school is operational. Unselect to disable access without deleting data.

created_at
string<date>
updated_at
string<date>